Git Full Sync
Contains APIs related to Git Full Sync
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Returns the saved Git Full Sync Configuration for the provided scope.
GET /gateway/ng/api/git-full-sync/config?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Details required to trigger Git Full Sync.
Name of the branch to which the entities will be pushed and from which pull request will be created.
Git Sync Config Id. [Applicable for Old Git Sync only]
Path of the root folder inside which the entities will be pushed.
Name of the branch from which new branch will be forked out.
If true a pull request will be created from branch to target branch.Default: false.
Name of the branch to which pull request will be merged.
Title of the pull request.
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Returns the saved Configuration details for Git Full Sync.
POST /gateway/ng/api/git-full-sync/config?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Content-Type: application/json
Accept: */*
Content-Length: 181
{
"branch": "text",
"repoIdentifier": "text",
"rootFolder": "text",
"isNewBranch": true,
"baseBranch": "text",
"createPullRequest": true,
"targetBranch": "text",
"prTitle": "text",
"newBranch": true
}{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Details required to trigger Git Full Sync.
Name of the branch to which the entities will be pushed and from which pull request will be created.
Git Sync Config Id. [Applicable for Old Git Sync only]
Path of the root folder inside which the entities will be pushed.
Name of the branch from which new branch will be forked out.
If true a pull request will be created from branch to target branch.Default: false.
Name of the branch to which pull request will be merged.
Title of the pull request.
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Returns the updated Git Full Sync Configuration for the provided scope.
PUT /gateway/ng/api/git-full-sync/config?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Content-Type: application/json
Accept: */*
Content-Length: 181
{
"branch": "text",
"repoIdentifier": "text",
"rootFolder": "text",
"isNewBranch": true,
"baseBranch": "text",
"createPullRequest": true,
"targetBranch": "text",
"prTitle": "text",
"newBranch": true
}{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Page Index of the results to fetch.Default Value: 0
0Results per page(max 100)Default Value: 50
50Page Token of the next results to fetch.Default Value: ''
Search Term.
Filter details for Git Full Sync.
Sync Status of the Entity that may be QUEUED, SUCCESS or FAILED.
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Returns the List of Files for Git Full sync.
POST /gateway/ng/api/git-full-sync/files?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Content-Type: application/json
Accept: */*
Content-Length: 50
{
"entityTypes": [
"CreatePR"
],
"syncStatus": "QUEUED"
}{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Successfully Triggered Full Sync.
POST /gateway/ng/api/git-full-sync?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Last updated
Was this helpful?